Subject: mailman-loop not handled by recommended Exim config

From: Roger Lynn <[email-masked]>
Date: Wed, 12 May 2010 15:28:57 +0100

Package: mailman
Followup-For: Bug #562700

Hi,

I believe this bug also exists in the Exim configuration recommended in 
/usr/share/doc/mailman/README.Exim4.Debian

The Exim transport passes the "loop" command to the Mailman wrapper 
program, which doesn't know anything about it.

As mentioned previously in this bug, upstream recommend adding 
"mailman-loop: /var/lib/mailman/data/owner-bounces.mbox" to 
/etc/aliases. However the default Debian Exim configuration doesn't 
allow delivery to files in /etc/aliases.

The Debian Exim maintainers recommend adding a router/transport pair for 
delivery to a file and in /usr/share/doc/exim4-base/README.Debian.gz 
give /usr/share/doc/mailman/README.Exim4.Debian as an example of how it 
can be done.

Thanks,

Roger

-- System Information:
Debian Release: 5.0.4
  APT prefers proposed-updates
  APT policy: (500, 'proposed-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/1 CPU core)
Locale: LANG=en_GB, LC_CTYPE=en_GB (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages mailman depends on:
ii  adduser                  3.110           add and remove users and groups
ii  cron                     3.0pl1-105      management of regular background p
ii  debconf [debconf-2.0]    1.5.24          Debian configuration management sy
ii  exim4                    4.69-9          metapackage to ease Exim MTA (v4) 
ii  exim4-daemon-light [mail 4.69-9          lightweight Exim MTA (v4) daemon
ii  libc6                    2.7-18lenny2    GNU C Library: Shared libraries
ii  lighttpd [httpd]         1.4.19-5+lenny1 A fast webserver with minimal memo
ii  logrotate                3.7.1-5         Log rotation utility
ii  lsb-base                 3.2-20          Linux Standard Base 3.2 init scrip
ii  pwgen                    2.06-1          Automatic Password generation
ii  python                   2.5.2-3         An interactive high-level object-o
ii  python-support           0.8.4lenny2     automated rebuilding support for P
ii  ucf                      3.0016          Update Configuration File: preserv

mailman recommends no packages.

Versions of packages mailman suggests:
ii  listadmin                     2.40-2.2   command line mailman moderator que
pn  lynx                          <none>     (no description available)
pn  spamassassin                  <none>     (no description available)

-- debconf information:
  mailman/queue_files_present: abort installation
* mailman/default_server_language: en (English)
  mailman/update_passwords:
* mailman/gate_news: false
  mailman/update_aliases:
* mailman/site_languages: en (English)
* mailman/used_languages: en
* mailman/create_site_list:

---

From: Roger Lynn <[email-masked]>
Date: Tue, 18 May 2010 09:29:28 +0100

I was intending to follow up to this bug with a suggested router and 
transport pair for Exim, as soon as I got around to working them out. 
However, I prefer the alternative approach suggested by upstream in 
http://mail.python.org/pipermail/mailman-users/2010-May/069504.html
which is simply to alias mailman-loop to root, or whichever local system 
user you prefer. So something similar to the following would be added to 
/etc/aliases

mailman-loop: root

While I don't understand Mailman's Postfix configuration, I believe this 
this is a nice simple solution which would probably solve the problem 
for Postfix too.

Roger

---

From: Thijs Kinkhorst <[email-masked]>
Date: Mon, 24 May 2010 16:19:14 +0200

> this is a nice simple solution which would probably solve the problem 

This may be an interesting suggestion, but I don't think there's a way in 
Debian for a package to add a system-wide mail alias.

Cheers,
Thijs